#include <bits/stdc++.h>
using namespace std;
int main()
{
    string c1;
    cin>>c1;
    long long int a; long long int b;
    cin>>a; cin>>b;
    if(abs(a-b)>1){
        cout<<"nemoguce";}
   
    else if(abs(a-b)<2){
        if(a==b){
            for(int i=0; i<a; i++)
                cout<<c1;}
        if(a>b){
            for(int j=0; j<a-1; j++)    
                cout<<c1;
            cout<<c1[0];}
        if(b>a){
            if(a%2!=0 && b%2==0){
                for(int q=0; q<a; q++)
                    cout<<c1[1];
                    cout<<c1[0];
                cout<<c1[1];    }
            if(a%2==0 && b%2!=0){
                for(int w=0; w<b-1; w++){
                    cout<<c1[1];
                    cout<<c1[0];}
                cout<<c1[1];    }}
    }         
    return 0;}